Update a bank transaction Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
PUT /api/v1/bank-transaction/{bankTransaction_uuid}

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • bankTransaction_uuid string Required
application/json

Body

  • date string(date)

    Transaction date

  • amount integer

    Transaction amount in pennies.

  • reference string

    Transaction reference as it appears on your bank statement.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • uuid string
    • created_at string
    • updated_at string
    • date string
    • amount object
      Hide amount attributes Show amount attributes object
      • amount string
      • currency string
      • formatted string
    • reference string
    • metadata object
      Hide metadata attribute Show metadata attribute object
      • client_name string
    • filename string
    • bank_statement object
      Hide bank_statement attributes Show bank_statement attributes object
      • uuid string
      • created_at string
      • updated_at string
      • number integer
      • reference string
      • date string
      • name string
      • statement object
        Hide statement attributes Show statement attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Statement description

        • start_date

          End date of the statement

        • end_date

          Start date of the statement

        • locked

          Denotes whether the statement is locked or not

        • locked_at

          The time that the statement was locked at

        • total_expectations

          Total amount of expectations for the statement period

        • total_statement_transactions

          Total amount of statement transactions received for the statement period

        • total_bank_transactions

          Total amount of bank transactions received for the statement period

        • total_expectation_amount_reconciled_to_bank

          Total amount of expectations that have been reconciled to the bank received for the statement period

        • total_expectation_percentage_reconciled_to_bank

          Total percentage of expectations that have been reconciled to the bank received for the statement period

        • expectations_count

          Total number of expectations for the statement period

        • statement_transactions_count

          Total number of statement transactions received for the statement period

      • bank_transactions_count integer
      • bank_transactions object
        Hide bank_transactions attributes Show bank_transactions attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • date

          Transaction date on bank statement

        • amount

          Transaction amount

        • reference

          Transaction reference on bank statement

        • metadata

          Any metadata that was saved during a CSV import for transactions

        • filename

          Filename of the CSV import transactions

      • total_amount object
        Hide total_amount attributes Show total_amount attributes object
        • amount string
        • currency string
        • formatted string
      • reconciled_amount object
        Hide reconciled_amount attributes Show reconciled_amount attributes object
        • amount string
        • currency string
        • formatted string
      • reconciled_percentage number
    • statement object
      Hide statement attributes Show statement attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • start_date string
      • end_date string
      • locked boolean
      • locked_at string
      • locked_by object
        Hide locked_by attributes Show locked_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • total_expectations object
        Hide total_expectations attributes Show total_expectations attributes object
        • amount string
        • currency string
        • formatted string
      • total_statement_transactions object
        Hide total_statement_transactions attributes Show total_statement_transactions attributes object
        • amount string
        • currency string
        • formatted string
      • total_bank_transactions object
        Hide total_bank_transactions attributes Show total_bank_transactions attributes object
        • amount string
        • currency string
        • formatted string
      • total_expectation_amount_reconciled_to_bank object
        Hide total_expectation_amount_reconciled_to_bank attributes Show total_expectation_amount_reconciled_to_bank attributes object
        • amount string
        • currency string
        • formatted string
      • total_expectation_percentage_reconciled_to_bank object
        Hide total_expectation_percentage_reconciled_to_bank attributes Show total_expectation_percentage_reconciled_to_bank attributes object
        • amount string
        • currency string
        • formatted string
      • expectations_count integer
      • statement_transactions_count integer
      • statement_transactions object
        Hide statement_transactions attributes Show statement_transactions attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • client_name

          Client name

        • transaction_reference

          Unique statement transactions reference assigned by the provider

        • policy_number

          Provider reference of the plan the statement transactions belongs to

        • date

          Date of when the provider received the statement transactions

        • gross_amount

          Gross amount

        • net_amount

          Net amount

        • category

          Expected payment category for accurate reporting

        • payment_origin

          Who is expected to pay this statement transactions

        • agency_number

          Agency number

        • product_reference

          Product reference

        • adviser_name

          Adviser name

        • sender_id_sib_number

          Sender id sib number

        • reason

          Reason

        • auto_reconciliation_message

          Reason why this statement transaction could not be auto reconciled against an expectation. Cleared once it is reconciled.

        • scheme_name

          Scheme name

        • scheme_number

          Scheme number

        • customer_number

          Customer number

        • policy_market_value

          Policy market value

        • provider

          Provider this statement transaction belongs to if provided

        • metadata

          Any metadata that was saved during a CSV import for statement transactions

    • account object
      Hide account attributes Show account attributes object
      • uuid string
      • created_at string
      • updated_at string
      • type string
      • role string
      • first_name string
      • last_name string
      • name string
      • email string
      • photo_url string
      • firm object
        Hide firm attributes Show firm attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          Name of the firm

        • slug

          Slug of the firm

        • address_1

          First line of the address

        • address_2

          Second line of the address

        • town_city

          Town/City

        • county

          County

        • postcode

          Postcode

        • country

          Country

        • regulatory_text

          Regulatory text of the firm.

        • logo_icon

          URL of your firm logo icon.

        • brand_colours

          Firm branding colours.

        • is_subscribed

          Subscription status.

        • keep_deleted_files_for

          Number of days to keep deleted files for

        • tax

          Tax percent

        • month_end

          Date of the month for the monthly income reconciliation statements to end

        • statement_frequency

          The frequency of the income reconciliation statements

        • billing

          Firm invoice details for billing

        • ip_whitelist

          A list of IP Addresses a firm is allowed to log in from.

        • welcome_paragraph_html

          Custom welcome paragraph html for the branded auth welcome page

        • email_welcome_paragraph_html

          Custom welcome paragraph for the welcome/new user email

        • show_fact_find_illustrations

          Determines if the illustrations/graphics are displayed on the fact find.

        • cc_email_addresses

          Array of email cc addresses.

        • bcc_email_addresses

          Array of email bcc addresses.

        • reply_to_email_address

          Firm reply to email address.

        • mobile_app_support_number

          Firm mobile app support number.

        • mobile_app_support_email

          Firm mobile app support email address.

      • primary_phone_number object
        Hide primary_phone_number attributes Show primary_phone_number attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • primary_email object
        Hide primary_email attributes Show primary_email attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Contact detail type

        • name

          Contact detail description

        • value

          Contact detail value

        • phone_number_meta

          If the type is a phone number, this additional field will be displayed giving you information about the phone number.

      • current_time_entry object
        Hide current_time_entry attributes Show current_time_entry attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the time entry.

        • description

          The description of the time entry.

        • trackable_type

          The model type that is being tracked. The example given is a client, but it can be a case, firm, circle or task.

        • start_date

          The start time of the time entry.

        • end_date

          The end time of the time entry.

        • is_active

          Determines if the time entry is currently ongoing.

        • total_time_in_minutes

          Total time in minutes.

        • computed_time_elapsed_in_seconds

          Computed time elapsed in seconds.

      • assigned_adviser object
        Hide assigned_adviser attributes Show assigned_adviser attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_administrator object
        Hide assigned_administrator attributes Show assigned_administrator attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • assigned_paraplanner object
        Hide assigned_paraplanner attributes Show assigned_paraplanner attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • introduced_by object
        Hide introduced_by attributes Show introduced_by attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • business_unit object
        Hide business_unit attributes Show business_unit attributes object
        • uuid

          The UUID of the resource.

        • name

          Name of the business unit.

        • has_alternative_branding

          Whether alternative branding is enabled for this business unit.

        • brand_colours

          Brand colours for this business unit, merged with firm defaults.

        • members_count

          Number of accounts assigned to this business unit

        • groups_count

          Number of groups assigned to this business unit

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

      • groups object
        Hide groups attributes Show groups attributes object
        • uuid

          UUID of the group

        • name

          Name of the group

        • slug

          Slug of the group

        • participants_count

          Number of participants in the group

        • participants

          Participants in this group

        • created_at

          Timestamp of when the group was created

        • updated_at

          Timestamp of when the group was updated

      • tags object
        Hide tags attributes Show tags attributes object
        • uuid

          UUID of the tag

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The name of the tag

        • slug

          The slug of the tag

        • colour

          The colour of the tag

      • owners object
        Hide owners attributes Show owners attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

      • first_contact_date string
      • next_review_date string
      • previous_review_date string
      • anniversary_review_date string
      • terms_of_business_at string
      • client_agreement_at string
      • with_login boolean
      • has_joint_account boolean
      • can_be_deleted string
      • joint_account_circle object
        Hide joint_account_circle attributes Show joint_account_circle attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • circles object
        Hide circles attributes Show circles attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • name

          The Circle name

        • photo_url

          URL for initial avatar image

        • bg_colour

          Hex colour background for avatar

        • has_portal_access

          Whether any member of the circle has portal access

        • portal_access_status

          Aggregated portal access status: active, never_logged_in, or no_portal_access

        • engagement_rating

          Aggregated engagement rating: green, amber, red, or none

        • last_login

          Most recent portal login across all circle members, including who logged in

        • portal_login_count_30d

          Total portal login count across all members in last 30 days

        • portal_login_count_90d

          Total portal login count across all members in last 90 days

        • portal_login_count_365d

          Total portal login count across all members in last 365 days

        • joint_account_uuid

          uuid of joint account where circle created from joint account

        • login_access_level

          The access level in context of an account. Note this field is only returned when using the accounts API. Available values: read and write

        • current_life_stage_uuid

          UUID of the circle's current life stage for expenditure

      • ownership_percentage integer
      • inactive_at string
      • last_interaction_at string
      • referral_code string
      • permissions object
        Hide permissions attributes Show permissions attributes object
        • firm:read array[string]
        • network:read array[string]
      • custom_fields object
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid

          The UUID of the custom field

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          The type of custom field

        • name

          The name of the custom field

        • reference

          The reference of the custom field, used when updating the custom field on the model.

        • is_required

          Denotes if the custom field is required

        • value

          The value of the custom field

        • selection_options

          This is the array of available options for the selection box. If the type is "selection" this array will be provided.

        • help_text

          Optional help text to aide the custom field. Will be displayed on Plannr.

      • external_references object
        Hide external_references attributes Show external_references attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • third_party

          The third party provider with the reference.

        • reference

          The third party reference.

    • firm object
      Hide firm attributes Show firm attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • slug string
      • address_1 string
      • address_2 string
      • town_city string
      • county string
      • postcode string
      • country string
      • regulatory_text string
      • logo_icon string
      • brand_colours object
        Hide brand_colours attributes Show brand_colours attributes object
        • sidebar_background string
        • sidebar_accent string
        • sidebar_text string
        • sidebar_hover string
        • sidebar_active string
        • sidebar_title_background string
        • sidebar_title_primary string
        • sidebar_title_secondary string
        • sidebar_title_secondary_hover string
        • email_background string
        • email_logo_background_panel string
        • email_sub_text string
        • email_button_background string
        • email_button_text string
        • portal_sidebar_button_background string
        • portal_sidebar_button_hover string
        • portal_sidebar_button_active string
        • portal_brand_title string
        • portal_brand_sub_title string
        • portal_sidebar_title string
        • portal_sidebar_text string
        • portal_sidebar_text_hover string
        • portal_sidebar_text_active string
        • portal_sidebar_icon string
        • portal_sidebar_icon_hover string
        • portal_sidebar_icon_active string
        • portal_background string
        • portal_sidebar_account_title string
        • portal_sidebar_account_email string
        • portal_sidebar_divider string
        • portal_dashboard_bg_one string
        • portal_dashboard_bg_two string
        • portal_sidebar_collapse_button string
        • portal_sidebar_collapse_button_hover string
        • portal_sidebar_user_select_background string
        • portal_sidebar_user_select_hover string
        • portal_sidebar_user_select_text string
        • portal_sidebar_user_select_text_hover string
        • portal_sidebar_user_select_border string
        • portal_sidebar_user_select_border_hover string
      • is_subscribed boolean
      • addon_subscriptions object
        Hide addon_subscriptions attributes Show addon_subscriptions attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • enabled

          Determines if the addon is enabled

        • trial_ends_at

          If the addon is a paid addon, this is the date the free trial will end for the addon subscription.

        • trial_ends_in_days

          If the addon is a paid addon, this is the number of days left in the free trial for the addon subscription.

        • payment_confirmed_at

          If the addon is a paid addon, this is the date the payment was confirmed for the addon subscription.

      • keep_deleted_files_for integer
      • tax number
      • month_end integer
      • statement_frequency string
      • billing object
        Hide billing attributes Show billing attributes object
        • invoice_address_1 string
        • invoice_address_2 string
        • invoice_town_city string
        • invoice_county string
        • invoice_postcode string
        • invoice_country string
        • invoice_email string
      • task_board_template object
        Hide task_board_template attributes Show task_board_template attributes object
        • uuid

          uuid of the board

        • created_at

          timestamp of when the board was created

        • updated_at

          timestamp of when the board was updated

        • is_template

          returns true if the board is a template

        • name

          the name of the board

        • default_list_uuid

          the default list uuid

        • is_editable

          determines if the user can edit the board (e.g update the board, lists and move tasks around)

        • priorities

          returns the array of priorities that can be set within a task

      • ip_whitelist array[string]
      • welcome_paragraph_html string
      • email_welcome_paragraph_html string
      • show_fact_find_illustrations boolean
      • cc_email_addresses array[string]
      • bcc_email_addresses array[string]
      • reply_to_email_address string
      • mobile_app_support_number string
      • mobile_app_support_email string
    • reconciliation object
      Hide reconciliation attributes Show reconciliation attributes object
      • amount object
        Hide amount attributes Show amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • percentage integer
      • is_reconciled boolean
    • reconciliations object
      Hide reconciliations attributes Show reconciliations attributes object
      • uuid string
      • created_at string
      • updated_at string
      • amount object
        Hide amount attributes Show amount attributes object
        • amount object
          Hide amount attributes Show amount attributes object
          • example string
          • description string
        • formatted object
          Hide formatted attributes Show formatted attributes object
          • example string
          • description string
        • currency object
          Hide currency attributes Show currency attributes object
          • example string
          • description string
      • statement_transaction object
        Hide statement_transaction attributes Show statement_transaction attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • client_name

          Client name

        • transaction_reference

          Unique statement transactions reference assigned by the provider

        • policy_number

          Provider reference of the plan the statement transactions belongs to

        • date

          Date of when the provider received the statement transactions

        • gross_amount

          Gross amount

        • net_amount

          Net amount

        • category

          Expected payment category for accurate reporting

        • payment_origin

          Who is expected to pay this statement transactions

        • agency_number

          Agency number

        • product_reference

          Product reference

        • adviser_name

          Adviser name

        • sender_id_sib_number

          Sender id sib number

        • reason

          Reason

        • auto_reconciliation_message

          Reason why this statement transaction could not be auto reconciled against an expectation. Cleared once it is reconciled.

        • scheme_name

          Scheme name

        • scheme_number

          Scheme number

        • customer_number

          Customer number

        • policy_market_value

          Policy market value

        • provider

          Provider this statement transaction belongs to if provided

        • metadata

          Any metadata that was saved during a CSV import for statement transactions

      • bank_transaction object
        Hide bank_transaction attributes Show bank_transaction attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • date

          Transaction date on bank statement

        • amount

          Transaction amount

        • reference

          Transaction reference on bank statement

        • metadata

          Any metadata that was saved during a CSV import for transactions

        • filename

          Filename of the CSV import transactions

      • account object
        Hide account attributes Show account attributes object
        • uuid

          The UUID of the resource.

        • created_at

          The timestamp of when the resource was created.

        • updated_at

          The timestamp of when the resource was updated.

        • type

          Account type

        • role

          Account role

        • first_name

          First name

        • last_name

          Last name

        • name

          Name

        • email

          (Deprecated - Please use primary_email instead). The email of the account.

        • photo_url

          URL for initial avatar image

        • first_contact_date

          First contact date

        • next_review_date

          Next review date

        • previous_review_date

          Previous review date

        • anniversary_review_date

          Anniversary review date

        • terms_of_business_at

          Date the Terms of Business were agreed and signed

        • client_agreement_at

          Date the client agreement was agreed and signed

        • with_login

          Denotes whether the account has a login to Plannr

        • has_joint_account

          Denotes whether this account belongs to a joint account too

        • can_be_deleted

          Denotes if the account can be deleted

        • ownership_percentage

          Percentage ownership of the plan (This field is only present if viewing the account record via a plans relationship eg Plan -> Accounts)

        • inactive_at

          Inactive from date

        • last_interaction_at

          Last interaction date

        • referral_code

          Unique referral code for the employee account (employees only)

        • permissions

          Permission map where keys are permission names and values are target arrays

PUT /api/v1/bank-transaction/{bankTransaction_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/bank-transaction/6ff8f7f6-1eb3-3525-be4a-3932c805afed' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"date":"2026-07-17","amount":55099,"reference":"MnELJ5E3WQ"}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "date": "2026-07-17",
  "amount": 55099,
  "reference": "MnELJ5E3WQ"
}
Response examples (200)
{
  "uuid": "f04f402f-deca-4625-bca6-a75981efb322",
  "created_at": "2026-07-17T15:25:30+01:00",
  "updated_at": "2026-07-17T15:25:30+01:00",
  "date": "2022-07-15",
  "amount": {
    "amount": "12399",
    "currency": "GBP",
    "formatted": "£123.99"
  },
  "reference": "VitalityLtd",
  "metadata": {
    "client_name": "Gareth Thompson"
  },
  "filename": "Natwest June 2022 Statement.xlsx",
  "bank_statement": {
    "uuid": "853252c7-873b-45cd-aac3-117eaa751302",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "number": 23,
    "reference": "SW#8434",
    "date": "2026-07-17",
    "name": "Aviva",
    "statement": {
      "uuid": "d078e531-a8d5-410f-a6d7-0636f79de8d5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "01/06/2022 - 30/06/2022",
      "start_date": "2022-06-30",
      "end_date": "2022-06-01",
      "locked": false,
      "locked_at": "2026-07-17T15:25:36+01:00",
      "total_expectations": null,
      "total_statement_transactions": null,
      "total_bank_transactions": null,
      "total_expectation_amount_reconciled_to_bank": null,
      "total_expectation_percentage_reconciled_to_bank": null,
      "expectations_count": 6,
      "statement_transactions_count": 6
    },
    "bank_transactions_count": 6,
    "bank_transactions": {
      "uuid": "472e6c96-f7d1-40d1-85d9-e66c9bbfc886",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "date": "2022-07-15",
      "amount": null,
      "reference": "VitalityLtd",
      "metadata": {
        "client_name": "Gareth Thompson"
      },
      "filename": "Natwest June 2022 Statement.xlsx"
    },
    "total_amount": {
      "amount": "345895",
      "currency": "GBP",
      "formatted": "£3,458.95"
    },
    "reconciled_amount": {
      "amount": "12849",
      "currency": "GBP",
      "formatted": "£128.49"
    },
    "reconciled_percentage": 95.68
  },
  "statement": {
    "uuid": "4851d306-a44e-4930-8988-ac445c9d42de",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "name": "01/06/2022 - 30/06/2022",
    "start_date": "2022-06-30",
    "end_date": "2022-06-01",
    "locked": false,
    "locked_at": "2026-07-17T15:25:30+01:00",
    "locked_by": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "total_expectations": {
      "amount": "124585",
      "currency": "GBP",
      "formatted": "£1,245.85"
    },
    "total_statement_transactions": {
      "amount": "125599",
      "currency": "GBP",
      "formatted": "£1,255.99"
    },
    "total_bank_transactions": {
      "amount": "125599",
      "currency": "GBP",
      "formatted": "£1,255.99"
    },
    "total_expectation_amount_reconciled_to_bank": {
      "amount": "125599",
      "currency": "GBP",
      "formatted": "£1,255.99"
    },
    "total_expectation_percentage_reconciled_to_bank": {
      "amount": "8570",
      "currency": "GBP",
      "formatted": "£85.70"
    },
    "expectations_count": 6,
    "statement_transactions_count": 6,
    "statement_transactions": {
      "uuid": "8bdf229d-e491-4b5a-9d5a-51ee647447e5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "client_name": "Gareth Thompson",
      "transaction_reference": "qjb8dQmzja",
      "policy_number": "AVIVA_00001",
      "date": "2026-07-17",
      "gross_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      },
      "net_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      },
      "category": "initial_fee",
      "payment_origin": "provider",
      "agency_number": "Agency number",
      "product_reference": "Product reference",
      "adviser_name": "Adviser name",
      "sender_id_sib_number": "Sender id sib number",
      "reason": "Reason",
      "auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
      "scheme_name": "Scheme name",
      "scheme_number": "Scheme number",
      "customer_number": "Customer number",
      "policy_market_value": "Policy market value",
      "provider": "Aviva",
      "metadata": {
        "client_name": "Gareth Thompson"
      }
    }
  },
  "account": {
    "uuid": "3a48a989-6475-4322-91e4-aed2f42187d9",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "type": "client",
    "role": "client",
    "first_name": "Gareth",
    "last_name": "Thompson",
    "name": "Gareth Thompson",
    "email": "gareth@codepotato.co.uk",
    "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
    "firm": {
      "uuid": "91f29e51-ce21-4ef7-b20a-977e7ed8f32c",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Codepotato",
      "slug": "codepotato",
      "address_1": "Suite E, 5 The Briars",
      "address_2": "Waterberry Drive",
      "town_city": "Waterlooville",
      "county": "Hampshire",
      "postcode": "PO7 7YH",
      "country": "United Kingdom",
      "regulatory_text": "Regulatory text",
      "logo": "https://api.plannrcrm.com/images/plannr.jpg",
      "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
      "brand_colours": {
        "sidebar_background": "#0E0E56",
        "sidebar_accent": "#36367E",
        "sidebar_text": "#FFFFFF",
        "sidebar_hover": "#0A0A42",
        "sidebar_active": "#53DBB8",
        "sidebar_title_background": "#36367E",
        "sidebar_title_primary": "#FFC634",
        "sidebar_title_secondary": "#FFFFFF",
        "sidebar_title_secondary_hover": "#FFFFFF",
        "email_background": "#0E0E56",
        "email_logo_background_panel": "#36367E",
        "email_sub_text": "#FFFFFF",
        "email_button_background": "#36367E",
        "email_button_text": "#FFFFFF",
        "portal_sidebar_button_background": "#F6F6F6",
        "portal_sidebar_button_hover": "#FFFFFF",
        "portal_sidebar_button_active": "#FFFFFF",
        "portal_brand_title": "#323B4B",
        "portal_brand_sub_title": "#828994",
        "portal_sidebar_title": "#11151D",
        "portal_sidebar_text": "#323B4B",
        "portal_sidebar_text_hover": "#323B4B",
        "portal_sidebar_text_active": "#323B4B",
        "portal_sidebar_icon": "#828994",
        "portal_sidebar_icon_hover": "#828994",
        "portal_sidebar_icon_active": "#828994",
        "portal_background": "#F6F6F6",
        "portal_sidebar_account_title": "#11151D",
        "portal_sidebar_account_email": "#828994",
        "portal_sidebar_divider": "#E3E5E9",
        "portal_dashboard_bg_one": "#EF4583",
        "portal_dashboard_bg_two": "#FFC634",
        "portal_sidebar_collapse_button": "#828994",
        "portal_sidebar_collapse_button_hover": "#B3B9C4",
        "portal_sidebar_user_select_background": "#F6F6F6",
        "portal_sidebar_user_select_hover": "#F6F6F6",
        "portal_sidebar_user_select_text": "#323B4B",
        "portal_sidebar_user_select_text_hover": "#323B4B",
        "portal_sidebar_user_select_border": "#EEEEEE",
        "portal_sidebar_user_select_border_hover": "#828994"
      },
      "is_subscribed": true,
      "keep_deleted_files_for": 30,
      "tax": 17.5,
      "month_end": 25,
      "statement_frequency": "monthly",
      "billing": {
        "invoice_address_1": "Suite E, 5 The Briars",
        "invoice_address_2": "Waterberry Drive",
        "invoice_town_city": "Waterlooville",
        "invoice_county": "Hampshire",
        "invoice_postcode": "PO7 7YH",
        "invoice_country": "United Kingdom",
        "invoice_email": "gareth@codepotato.co.uk"
      },
      "ip_whitelist": [
        "192.168.0.1",
        "127.0.0.1"
      ],
      "welcome_paragraph_html": "<h1>Welcome.</h1>",
      "email_welcome_paragraph_html": "Welcome to Plannr!",
      "show_fact_find_illustrations": true,
      "cc_email_addresses": [
        "jack@example.com",
        "jill@example.com"
      ],
      "bcc_email_addresses": [
        "jack@example.com",
        "jill@example.com"
      ],
      "reply_to_email_address": "jack@example.com",
      "mobile_app_support_number": "01234 567890",
      "mobile_app_support_email": "support@example.com"
    },
    "primary_phone_number": {
      "uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "phone_number",
      "name": "Work number",
      "value": "+443330903630",
      "phone_number_meta": {
        "country": "GB",
        "formatted": "0333 090 3630"
      }
    },
    "primary_email": {
      "uuid": "2913e846-940e-401b-96f4-4a20ed0d095c",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "phone_number",
      "name": "Work number",
      "value": "+443330903630",
      "phone_number_meta": {
        "country": "GB",
        "formatted": "0333 090 3630"
      }
    },
    "current_time_entry": {
      "uuid": "b9d50083-110f-4b5c-ad97-e735caa8a65e",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Research",
      "description": "This is a description.",
      "trackable_type": "Client",
      "start_date": "2026-07-17T14:35:36+01:00",
      "end_date": "2026-07-17T15:03:36+01:00",
      "is_active": true,
      "total_time_in_minutes": 28,
      "computed_time_elapsed_in_seconds": 1680
    },
    "assigned_adviser": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "assigned_administrator": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "assigned_paraplanner": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "introduced_by": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "business_unit": {
      "uuid": "0b087134-9399-4f48-8830-d50c35f116f3",
      "name": "Wealth Management",
      "has_alternative_branding": false,
      "brand_colours": [],
      "members_count": 3,
      "groups_count": 2,
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00"
    },
    "groups": {
      "uuid": null,
      "name": "finance",
      "slug": "finance",
      "participants_count": "3",
      "participants": {
        "uuid": {
          "example": null,
          "description": "UUID of the account"
        },
        "role": {
          "example": "client",
          "description": "Role of the account"
        },
        "first_name": {
          "example": "Gareth",
          "description": "First name of the account"
        },
        "last_name": {
          "example": "Thompson",
          "description": "Last name of the account"
        },
        "name": {
          "example": "Gareth Thompson",
          "description": "Name of the account"
        },
        "email": {
          "example": "gareth@codepotato.co.uk",
          "description": "Email of the account"
        }
      },
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00"
    },
    "tags": {
      "uuid": "f1ecba6d-f8a7-415f-90f1-db030dd72262",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Mortgage",
      "slug": "mortgage",
      "colour": "#ef4582"
    },
    "owners": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    },
    "first_contact_date": "2026-07-17T15:25:30+01:00",
    "next_review_date": "2026-07-17T15:25:30+01:00",
    "previous_review_date": "2026-07-17T15:25:30+01:00",
    "anniversary_review_date": "2026-07-17T15:25:30+01:00",
    "terms_of_business_at": "2026-07-17T15:25:30+01:00",
    "client_agreement_at": "2026-07-17T15:25:30+01:00",
    "with_login": true,
    "has_joint_account": true,
    "can_be_deleted": "false",
    "joint_account_circle": {
      "uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Jones Family",
      "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
      "bg_colour": "#35f4e1",
      "has_portal_access": true,
      "portal_access_status": "active",
      "engagement_rating": "green",
      "last_login": {
        "logged_in_at": "2026-07-17T15:25:36+01:00",
        "account_uuid": "uuid",
        "account_name": "John Smith",
        "device_type": "desktop",
        "device_platform": "macos"
      },
      "portal_login_count_30d": 5,
      "portal_login_count_90d": 12,
      "portal_login_count_365d": 48,
      "joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
      "login_access_level": "write",
      "current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
    },
    "circles": {
      "uuid": "3e582b00-e462-4d59-aef9-bfdca7f12c97",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "name": "Jones Family",
      "photo_url": "https://eu.ui-avatars.com/api/?name=jones+family",
      "bg_colour": "#35f4e1",
      "has_portal_access": true,
      "portal_access_status": "active",
      "engagement_rating": "green",
      "last_login": {
        "logged_in_at": "2026-07-17T15:25:36+01:00",
        "account_uuid": "uuid",
        "account_name": "John Smith",
        "device_type": "desktop",
        "device_platform": "macos"
      },
      "portal_login_count_30d": 5,
      "portal_login_count_90d": 12,
      "portal_login_count_365d": 48,
      "joint_account_uuid": "0e1a8da1-b082-4596-b99d-ad01f2370e84",
      "login_access_level": "write",
      "current_life_stage_uuid": "6c428f70-3307-4741-9942-cecd96a2c426"
    },
    "ownership_percentage": 100,
    "inactive_at": "2026-07-17",
    "last_interaction_at": "2026-07-17 15:25:30",
    "referral_code": "ABC12345",
    "permissions": {
      "firm:read": [
        "firm"
      ],
      "network:read": [
        "network:uuid"
      ]
    },
    "custom_fields": {
      "uuid": null,
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "string",
      "name": "Favourite Drink",
      "reference": "favourite_drink",
      "is_required": false,
      "value": "Coffee",
      "selection_options": [
        "Coffee",
        "Tea",
        "Water"
      ],
      "help_text": "This is the client's favourite drink."
    },
    "external_references": {
      "uuid": "11b7fb3c-bff7-4355-b5d5-6e063a2cdde5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "third_party": "nucleus",
      "reference": "AB123456"
    }
  },
  "firm": {
    "uuid": "32a7c534-135f-4159-8b68-42002c86bcc3",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "name": "Codepotato",
    "slug": "codepotato",
    "address_1": "Suite E, 5 The Briars",
    "address_2": "Waterberry Drive",
    "town_city": "Waterlooville",
    "county": "Hampshire",
    "postcode": "PO7 7YH",
    "country": "United Kingdom",
    "regulatory_text": "Regulatory text",
    "logo": "https://api.plannrcrm.com/images/plannr.jpg",
    "logo_icon": "https://api.plannrcrm.com/images/plannr-icon.jpg",
    "brand_colours": {
      "sidebar_background": "#0E0E56",
      "sidebar_accent": "#36367E",
      "sidebar_text": "#FFFFFF",
      "sidebar_hover": "#0A0A42",
      "sidebar_active": "#53DBB8",
      "sidebar_title_background": "#36367E",
      "sidebar_title_primary": "#FFC634",
      "sidebar_title_secondary": "#FFFFFF",
      "sidebar_title_secondary_hover": "#FFFFFF",
      "email_background": "#0E0E56",
      "email_logo_background_panel": "#36367E",
      "email_sub_text": "#FFFFFF",
      "email_button_background": "#36367E",
      "email_button_text": "#FFFFFF",
      "portal_sidebar_button_background": "#F6F6F6",
      "portal_sidebar_button_hover": "#FFFFFF",
      "portal_sidebar_button_active": "#FFFFFF",
      "portal_brand_title": "#323B4B",
      "portal_brand_sub_title": "#828994",
      "portal_sidebar_title": "#11151D",
      "portal_sidebar_text": "#323B4B",
      "portal_sidebar_text_hover": "#323B4B",
      "portal_sidebar_text_active": "#323B4B",
      "portal_sidebar_icon": "#828994",
      "portal_sidebar_icon_hover": "#828994",
      "portal_sidebar_icon_active": "#828994",
      "portal_background": "#F6F6F6",
      "portal_sidebar_account_title": "#11151D",
      "portal_sidebar_account_email": "#828994",
      "portal_sidebar_divider": "#E3E5E9",
      "portal_dashboard_bg_one": "#EF4583",
      "portal_dashboard_bg_two": "#FFC634",
      "portal_sidebar_collapse_button": "#828994",
      "portal_sidebar_collapse_button_hover": "#B3B9C4",
      "portal_sidebar_user_select_background": "#F6F6F6",
      "portal_sidebar_user_select_hover": "#F6F6F6",
      "portal_sidebar_user_select_text": "#323B4B",
      "portal_sidebar_user_select_text_hover": "#323B4B",
      "portal_sidebar_user_select_border": "#EEEEEE",
      "portal_sidebar_user_select_border_hover": "#828994"
    },
    "is_subscribed": true,
    "addon_subscriptions": {
      "uuid": "c938bc94-e9b6-4d8d-87ed-b0bd8b4571b7",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "enabled": "true",
      "trial_ends_at": "2026-07-31",
      "trial_ends_in_days": 14,
      "payment_confirmed_at": "2026-08-04"
    },
    "keep_deleted_files_for": 30,
    "tax": 17.5,
    "month_end": 25,
    "statement_frequency": "monthly",
    "billing": {
      "invoice_address_1": "Suite E, 5 The Briars",
      "invoice_address_2": "Waterberry Drive",
      "invoice_town_city": "Waterlooville",
      "invoice_county": "Hampshire",
      "invoice_postcode": "PO7 7YH",
      "invoice_country": "United Kingdom",
      "invoice_email": "gareth@codepotato.co.uk"
    },
    "task_board_template": {
      "uuid": null,
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "is_template": false,
      "name": "Task Board",
      "default_list_uuid": null,
      "is_editable": true,
      "priorities": [
        {
          "name": "High",
          "value": "high"
        },
        {
          "name": "Low",
          "value": "low"
        }
      ]
    },
    "ip_whitelist": [
      "192.168.0.1",
      "127.0.0.1"
    ],
    "welcome_paragraph_html": "<h1>Welcome.</h1>",
    "email_welcome_paragraph_html": "Welcome to Plannr!",
    "show_fact_find_illustrations": true,
    "cc_email_addresses": [
      "jack@example.com",
      "jill@example.com"
    ],
    "bcc_email_addresses": [
      "jack@example.com",
      "jill@example.com"
    ],
    "reply_to_email_address": "jack@example.com",
    "mobile_app_support_number": "01234 567890",
    "mobile_app_support_email": "support@example.com"
  },
  "reconciliation": {
    "amount": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "percentage": 100,
    "is_reconciled": true
  },
  "reconciliations": {
    "uuid": "5746e8b8-66b9-48e6-9255-2cc3287073db",
    "created_at": "2026-07-17T15:25:30+01:00",
    "updated_at": "2026-07-17T15:25:30+01:00",
    "amount": {
      "amount": {
        "example": "4000",
        "description": "Money amount at their lowest denominator (for example: pennies)"
      },
      "formatted": {
        "example": "£40.00",
        "description": "Money amount formatted with currency"
      },
      "currency": {
        "example": "GBP",
        "description": "Currency of the money"
      }
    },
    "statement_transaction": {
      "uuid": "8bdf229d-e491-4b5a-9d5a-51ee647447e5",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "client_name": "Gareth Thompson",
      "transaction_reference": "qjb8dQmzja",
      "policy_number": "AVIVA_00001",
      "date": "2026-07-17",
      "gross_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      },
      "net_amount": {
        "amount": {
          "example": "4000",
          "description": "Money amount at their lowest denominator (for example: pennies)"
        },
        "formatted": {
          "example": "£40.00",
          "description": "Money amount formatted with currency"
        },
        "currency": {
          "example": null,
          "description": "Currency of the money"
        }
      },
      "category": "initial_fee",
      "payment_origin": "provider",
      "agency_number": "Agency number",
      "product_reference": "Product reference",
      "adviser_name": "Adviser name",
      "sender_id_sib_number": "Sender id sib number",
      "reason": "Reason",
      "auto_reconciliation_message": "No plans matching policy number AVIVA_00001.",
      "scheme_name": "Scheme name",
      "scheme_number": "Scheme number",
      "customer_number": "Customer number",
      "policy_market_value": "Policy market value",
      "provider": "Aviva",
      "metadata": {
        "client_name": "Gareth Thompson"
      }
    },
    "bank_transaction": {
      "uuid": "472e6c96-f7d1-40d1-85d9-e66c9bbfc886",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "date": "2022-07-15",
      "amount": null,
      "reference": "VitalityLtd",
      "metadata": {
        "client_name": "Gareth Thompson"
      },
      "filename": "Natwest June 2022 Statement.xlsx"
    },
    "account": {
      "uuid": "543b4daa-a2a5-40d9-b97a-af39e3746a8f",
      "created_at": "2026-07-17T15:25:36+01:00",
      "updated_at": "2026-07-17T15:25:36+01:00",
      "type": "client",
      "role": "client",
      "first_name": "Gareth",
      "last_name": "Thompson",
      "name": "Gareth Thompson",
      "email": "gareth@codepotato.co.uk",
      "photo_url": "https://eu.ui-avatars.com/api/?name=gareth+thompson",
      "first_contact_date": "2026-07-17T15:25:36+01:00",
      "next_review_date": "2026-07-17T15:25:36+01:00",
      "previous_review_date": "2026-07-17T15:25:36+01:00",
      "anniversary_review_date": "2026-07-17T15:25:36+01:00",
      "terms_of_business_at": "2026-07-17T15:25:36+01:00",
      "client_agreement_at": "2026-07-17T15:25:36+01:00",
      "with_login": true,
      "has_joint_account": true,
      "can_be_deleted": "false",
      "ownership_percentage": 100.0,
      "inactive_at": "2026-07-17",
      "last_interaction_at": "2026-07-17 15:25:36",
      "referral_code": "ABC12345",
      "permissions": {
        "firm:read": [
          "firm"
        ],
        "network:read": [
          "network:uuid"
        ]
      }
    }
  }
}